package servlet;

/*
 * This class provides forms to be displayed to the user
 */
public class FormGenerator {

	private String formElement(String par) {
		return '"' + par + '"';
	}

	/*
	 * Form for requesting user name
	 */
	public String nameRequestForm() {
		String html = "Please enter your name";
		html += "<p> <form name=" + formElement("input");
		// html += " action=" + formElement(myURL);
		html += " method=" + formElement("get");
		html += "<p> Name: <input type=" + formElement("text") + " name=" + formElement("user") + '>';
		html += "<p> <input type=" + formElement("submit") + "value=" + formElement("Submit") + '>';
		return html;
	}

	public String projectDetailsRequestForm() {
		String[][] variables = { { "Project Name", "proj_name" }, { "Project Description", "proj_desc" } };
		String html = "<p>Please give us some information about your project";
		html += "<p> <form name=" + formElement("input");
		html += " method=" + formElement("get");
		for (int i = 0; i < 2; i++) {
			html += "<p> " + variables[i][0];
			html += ": <input type=" + formElement("text") + "name =" + variables[i][1] + '>';
		}
		html += "<p> <input type=" + formElement("submit") + "value=" + formElement("Submit") + '>';
		return html;
	}

	/*
	 * Form for requesting success with respect to four factors
	 */
	public String projectDataRequestForm() {
		String[][] variables = {
				{ "Met operational performance", "s11" },
				{ "Met technical performance", "s12" },
				{ "Met project schedule", "s13" },
				{ "Stayed on budget", "s14" } };
		String html = "<p>Please assess the importance of the following factors (1-10, where 1 is least important)";
		html += "<p> <form name=" + formElement("input2");
		html += " method=" + formElement("get");
		// html += " action=" + formElement(myURL);
		for (int i = 0; i < 4; i++) {
			html += "<p> " + variables[i][0];
			html += ": <input type=" + formElement("text") + "name =" + variables[i][1] + '>';
		}
		html += "<p> <input type=" + formElement("submit") + "value=" + formElement("Submit") + '>';
		return html;
	}

	public String resultsTable(SurveyResult[] results) {
		String html = "<table border=" + formElement("1") + ">";
		html += "<tr><th>Respondent</th><th>Project</th><th>Description</th><th>Factor 1</th><th>Factor 2</th><th>Factor 3</th><th>Factor 4</th></tr>";
		for (SurveyResult result : results) {
			if (result == null)
				break;
			html += "<tr><td>" + result.getName() + "</td><td>" + result.getProjectName() + "</td><td>"
					+ result.getProjectDesc() + "</td><td>" + result.getData()[0] + "</td><td>" + result.getData()[1]
					+ "</td><td>" + result.getData()[2] + "</td><td>" + result.getData()[3] + "</td></tr>";
		}
		html += "</table>";
		return html;
	}
}
