package servlet;

import java.io.*;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class Results.
 * 
 * This class is responsible for displaying the results of the survey.
 * It should be able to display the results of the survey in a table.
 */
@WebServlet("/Results")
public class Results extends HttpServlet {
	private static final long serialVersionUID = 1L;
	private Database db = new Database();
	private FormGenerator formGenerator = new FormGenerator();

	/**
	 * Default constructor.
	 */
	public Results() {
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		SurveyResult[] results = db.getSurveyResults();

		// SurveyResult[] results = {
		// 	new SurveyResult("John", "Project 1", new int[] { 1, 2, 3, 4 }),
		// 	new SurveyResult("Jane", "Project 2", new int[] { 5, 6, 7, 8 }),
		// 	new SurveyResult("Joe", "Project 3", new int[] { 9, 10, 1, 2 }),
		// 	new SurveyResult("Jill", "Project 4", new int[] { 3, 4, 5, 6 }),
		// 	new SurveyResult("Jack", "Project 5", new int[] { 7, 8, 9, 10 }),
		// };

		for (SurveyResult result : results) {
			if (result == null)
				break;
			System.out.println(result.toString());
		}

		// Get a writer
		PrintWriter out = response.getWriter();
		out.println(formGenerator.resultsTable(results));
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		doGet(request, response);
	}
}
